weather rain
effect give @a minecraft:saturation 10 1 true
effect give @a minecraft:instant_health 10 1 true
effect give @a minecraft:weakness 10 5 true

# execute at Kooleyy if score livegame count matches 0 run particle flame ~ ~ ~ 0.1 0.1 0.1 0.001 1 force


execute as @a at @s if entity @s[gamemode=creative,name=!Kooleyy] run tellraw @s {"text":"Nice try. Maybe you shouldn't be doing that...","color":"dark_red"}
execute as @a at @s if entity @s[gamemode=creative,name=!Kooleyy] run gamemode adventure @s

execute as @a if entity @s[team=!Red,team=!Blue,team=!Spectator] run scoreboard players set @s leave 1
execute as @a if score @s leave matches 1 run function connect4:spectate

# spreadplayers -22 3 3 3 false @a[team=!Red,team=!Blue,team=!Spectator]
# team join Spectator @a[team=!Red,team=!Blue,team=!Spectator]

execute at @e[type=minecraft:armor_stand,tag=red] as @e[type=minecraft:armor_stand,tag=red] if entity @a[team=!Red] run data merge entity @s {CustomNameVisible:1b}
execute at @e[type=minecraft:armor_stand,tag=blue] as @e[type=minecraft:armor_stand,tag=blue] if entity @a[team=!Blue] run data merge entity @s {CustomNameVisible:1b}
execute at @e[type=minecraft:armor_stand,tag=red] as @e[type=minecraft:armor_stand,tag=red] if entity @a[team=Red] run data merge entity @s {CustomNameVisible:0b}
execute at @e[type=minecraft:armor_stand,tag=blue] as @e[type=minecraft:armor_stand,tag=blue] if entity @a[team=Blue] run data merge entity @s {CustomNameVisible:0b}


# Win Counter #
execute if score wincounteron count matches 1 run data merge block -19 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set wincounteron count 2\"}}",Text2:"{\"text\":\"Win Counter:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"text\\\":\\\"Win Counter:\\\"},{\\\"text\\\":\\\" Off\\\",\\\"color\\\":\\\"dark_red\\\"}]\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[On]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1\"},\"color\":\"dark_green\"}",Text4:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard objectives setdisplay sidebar\"}}"}
execute if score wincounteron count matches 1 run scoreboard players set wincounteron count 0

execute if score wincounteron count matches 2 run data merge block -19 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set wincounteron count 1\"}}",Text2:"{\"text\":\"Win Counter:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"text\\\":\\\"Win Counter:\\\"},{\\\"text\\\":\\\" On\\\",\\\"color\\\":\\\"dark_green\\\"}]\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Off]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1.3\"},\"color\":\"dark_red\"}",Text4:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard objectives setdisplay sidebar wins\"}}"}
execute if score wincounteron count matches 2 run scoreboard players set wincounteron count 0

#---#

# First Turn #
execute if score firstturn count matches 1 run data merge block -18 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"text\\\":\\\"First Turn:\\\"},{\\\"text\\\":\\\" Red\\\",\\\"color\\\":\\\"red\\\"}]\"}}",Text2:"{\"text\":\"First Turn:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set firstturn count 2\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Yellow]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1.3\"},\"color\":\"yellow\"}"}
execute if score firstturn count matches 1 run scoreboard players set firstturn count -1

execute if score firstturn count matches 2 run data merge block -18 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"text\\\":\\\"First Turn:\\\"},{\\\"text\\\":\\\" Random\\\",\\\"color\\\":\\\"dark_green\\\"}]\"}}",Text2:"{\"text\":\"First Turn:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set firstturn count 3\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Red]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1.6\"},\"color\":\"red\"}"}
execute if score firstturn count matches 2 run scoreboard players set firstturn count -2

execute if score firstturn count matches 3 run data merge block -18 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"text\\\":\\\"First Turn: \\\"},{\\\"text\\\":\\\"Yellow\\\",\\\"color\\\":\\\"yellow\\\"}]\"}}",Text2:"{\"text\":\"First Turn:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set firstturn count 1\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Random]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1\"},\"color\":\"dark_green\"}"}
execute if score firstturn count matches 3 run scoreboard players set firstturn count -3

#---#


# AFK Warning #
execute at @a if score timeleft count matches 600 run playsound minecraft:block.note_block.guitar master @a ~ ~ ~ 0.6 0.1
execute if score timeleft count matches 600 run tellraw @a ["",{"text":"AFK Warning:","color":"dark_red"},{"text":" The game will be aborted in ","color":"red"},{"text":"30 seconds","bold":true,"color":"red"},{"text":" if no move is made.","color":"red"}]

execute if score timeleft count matches 200 run tellraw @a ["",{"text":"AFK Warning:","color":"dark_red"},{"text":" The game will be aborted in ","color":"red"},{"text":"10 seconds","bold":true,"color":"red"},{"text":" if no move is made.","color":"red"}]
execute at @a if score timeleft count matches 200 run playsound minecraft:block.note_block.guitar master @a ~ ~ ~ 0.6 0.1

execute if score timeleft count matches 1 run tellraw @a ["",{"text":"AFK Warning:","color":"dark_red"},{"text":" Player is AFK. Aborting game.","color":"red"}]
execute if score timeleft count matches 1 run function connect4:reset
execute at @a if score timeleft count matches 1 run playsound minecraft:block.note_block.guitar master @a ~ ~ ~ 0.6 0.1

#---#

execute unless entity @a[team=Red] run team empty Red
execute unless entity @a[team=Red] run fill -22 65 11 -24 65 9 minecraft:red_concrete
execute unless entity @a[team=Red] if score livegame count matches 1 run function connect4:reset

execute unless entity @a[team=Blue] run team empty Blue
execute unless entity @a[team=Blue] run fill -24 65 -3 -22 65 -5 minecraft:yellow_concrete
execute unless entity @a[team=Blue] if score livegame count matches 1 run function connect4:reset

scoreboard players set team count 0
execute as @a[team=Red] run scoreboard players add team count 1
execute as @a[team=Blue] run scoreboard players add team count 1

# If two players get on the same team #
scoreboard players set redcount count 0
scoreboard players set bluecount count 0
execute as @a[team=Red] run scoreboard players add redcount count 1
execute as @a[team=Blue] run scoreboard players add bluecount count 1
execute as @r[team=Red] at @s if score redcount count >= teammax count run function connect4:spectate
execute as @r[team=Blue] at @s if score bluecount count >= teammax count run function connect4:spectate
#---#

execute if score timeleft count > zero count run scoreboard players remove timeleft count 1
execute if score redwait count > zero count run scoreboard players remove redwait count 1
execute if score bluewait count > zero count run scoreboard players remove bluewait count 1
execute if score winwait count > zero count run scoreboard players remove winwait count 1
execute if score redwait count matches 1 run function connect4:bluenext
execute if score bluewait count matches 1 run function connect4:rednext
execute if score winwait count matches 1 run function connect4:reset

execute if block -1 65 0 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 1 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 2 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 3 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 4 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 5 minecraft:oak_button[powered=true] run function connect4:redturn
execute if block -1 65 6 minecraft:oak_button[powered=true] run function connect4:redturn

execute if block -1 65 0 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 1 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 2 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 3 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 4 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 5 minecraft:stone_button[powered=true] run function connect4:blueturn
execute if block -1 65 6 minecraft:stone_button[powered=true] run function connect4:blueturn

execute if block -1 67 -1 minecraft:dark_oak_button[powered=true] run function connect4:reset
execute if score team count matches 2 if block -1 68 -1 minecraft:dark_oak_button[powered=true] run function connect4:start
execute if score team count < teammax count if block -1 68 -1 minecraft:dark_oak_button[powered=true] run tellraw @a ["",{"text":"\n"},{"text":"Unable to start game.","color":"dark_red"},{"text":"\n"},{"text":"You must have 2 players to play.","color":"dark_red"}]
execute if score team count < teammax count if block -1 68 -1 minecraft:dark_oak_button run setblock -1 68 -1 minecraft:dark_oak_button[facing=west]


execute as @a[team=!Red] at @s if block ~ ~-1 ~ minecraft:red_concrete run function connect4:redteam
execute as @a[team=!Blue] at @s if block ~ ~-1 ~ minecraft:yellow_concrete run function connect4:blueteam
execute as @a[team=!Spectator] at @s if block ~ ~-1 ~ minecraft:light_gray_concrete run function connect4:spectate


execute if block 0 71 0 sand run setblock -1 65 0 air
execute if block 0 71 0 red_sand run setblock -1 65 0 air
execute if block 0 71 1 sand run setblock -1 65 1 air
execute if block 0 71 1 red_sand run setblock -1 65 1 air
execute if block 0 71 2 sand run setblock -1 65 2 air
execute if block 0 71 2 red_sand run setblock -1 65 2 air
execute if block 0 71 3 sand run setblock -1 65 3 air
execute if block 0 71 3 red_sand run setblock -1 65 3 air
execute if block 0 71 4 sand run setblock -1 65 4 air
execute if block 0 71 4 red_sand run setblock -1 65 4 air
execute if block 0 71 5 sand run setblock -1 65 5 air
execute if block 0 71 5 red_sand run setblock -1 65 5 air
execute if block 0 71 6 sand run setblock -1 65 6 air
execute if block 0 71 6 red_sand run setblock -1 65 6 air


execute if block 0 66 0 red_sand if block 0 66 1 red_sand if block 0 66 2 red_sand if block 0 66 3 red_sand run function connect4:redwin
execute if block 0 66 1 red_sand if block 0 66 2 red_sand if block 0 66 3 red_sand if block 0 66 4 red_sand run function connect4:redwin
execute if block 0 66 2 red_sand if block 0 66 3 red_sand if block 0 66 4 red_sand if block 0 66 5 red_sand run function connect4:redwin
execute if block 0 66 3 red_sand if block 0 66 4 red_sand if block 0 66 5 red_sand if block 0 66 6 red_sand run function connect4:redwin

execute if block 0 67 0 red_sand if block 0 67 1 red_sand if block 0 67 2 red_sand if block 0 67 3 red_sand run function connect4:redwin
execute if block 0 67 1 red_sand if block 0 67 2 red_sand if block 0 67 3 red_sand if block 0 67 4 red_sand run function connect4:redwin
execute if block 0 67 2 red_sand if block 0 67 3 red_sand if block 0 67 4 red_sand if block 0 67 5 red_sand run function connect4:redwin
execute if block 0 67 3 red_sand if block 0 67 4 red_sand if block 0 67 5 red_sand if block 0 67 6 red_sand run function connect4:redwin

execute if block 0 68 0 red_sand if block 0 68 1 red_sand if block 0 68 2 red_sand if block 0 68 3 red_sand run function connect4:redwin
execute if block 0 68 1 red_sand if block 0 68 2 red_sand if block 0 68 3 red_sand if block 0 68 4 red_sand run function connect4:redwin
execute if block 0 68 2 red_sand if block 0 68 3 red_sand if block 0 68 4 red_sand if block 0 68 5 red_sand run function connect4:redwin
execute if block 0 68 3 red_sand if block 0 68 4 red_sand if block 0 68 5 red_sand if block 0 68 6 red_sand run function connect4:redwin

execute if block 0 69 0 red_sand if block 0 69 1 red_sand if block 0 69 2 red_sand if block 0 69 3 red_sand run function connect4:redwin
execute if block 0 69 1 red_sand if block 0 69 2 red_sand if block 0 69 3 red_sand if block 0 69 4 red_sand run function connect4:redwin
execute if block 0 69 2 red_sand if block 0 69 3 red_sand if block 0 69 4 red_sand if block 0 69 5 red_sand run function connect4:redwin
execute if block 0 69 3 red_sand if block 0 69 4 red_sand if block 0 69 5 red_sand if block 0 69 6 red_sand run function connect4:redwin

execute if block 0 70 0 red_sand if block 0 70 1 red_sand if block 0 70 2 red_sand if block 0 70 3 red_sand run function connect4:redwin
execute if block 0 70 1 red_sand if block 0 70 2 red_sand if block 0 70 3 red_sand if block 0 70 4 red_sand run function connect4:redwin
execute if block 0 70 2 red_sand if block 0 70 3 red_sand if block 0 70 4 red_sand if block 0 70 5 red_sand run function connect4:redwin
execute if block 0 70 3 red_sand if block 0 70 4 red_sand if block 0 70 5 red_sand if block 0 70 6 red_sand run function connect4:redwin

execute if block 0 71 0 red_sand if block 0 71 1 red_sand if block 0 71 2 red_sand if block 0 71 3 red_sand run function connect4:redwin
execute if block 0 71 1 red_sand if block 0 71 2 red_sand if block 0 71 3 red_sand if block 0 71 4 red_sand run function connect4:redwin
execute if block 0 71 2 red_sand if block 0 71 3 red_sand if block 0 71 4 red_sand if block 0 71 5 red_sand run function connect4:redwin
execute if block 0 71 3 red_sand if block 0 71 4 red_sand if block 0 71 5 red_sand if block 0 71 6 red_sand run function connect4:redwin

execute if block 0 66 0 red_sand if block 0 67 0 red_sand if block 0 68 0 red_sand if block 0 69 0 red_sand run function connect4:redwin
execute if block 0 66 1 red_sand if block 0 67 1 red_sand if block 0 68 1 red_sand if block 0 69 1 red_sand run function connect4:redwin
execute if block 0 66 2 red_sand if block 0 67 2 red_sand if block 0 68 2 red_sand if block 0 69 2 red_sand run function connect4:redwin
execute if block 0 66 3 red_sand if block 0 67 3 red_sand if block 0 68 3 red_sand if block 0 69 3 red_sand run function connect4:redwin
execute if block 0 66 4 red_sand if block 0 67 4 red_sand if block 0 68 4 red_sand if block 0 69 4 red_sand run function connect4:redwin
execute if block 0 66 5 red_sand if block 0 67 5 red_sand if block 0 68 5 red_sand if block 0 69 5 red_sand run function connect4:redwin
execute if block 0 66 6 red_sand if block 0 67 6 red_sand if block 0 68 6 red_sand if block 0 69 6 red_sand run function connect4:redwin

execute if block 0 67 0 red_sand if block 0 68 0 red_sand if block 0 69 0 red_sand if block 0 70 0 red_sand run function connect4:redwin
execute if block 0 67 1 red_sand if block 0 68 1 red_sand if block 0 69 1 red_sand if block 0 70 1 red_sand run function connect4:redwin
execute if block 0 67 2 red_sand if block 0 68 2 red_sand if block 0 69 2 red_sand if block 0 70 2 red_sand run function connect4:redwin
execute if block 0 67 3 red_sand if block 0 68 3 red_sand if block 0 69 3 red_sand if block 0 70 3 red_sand run function connect4:redwin
execute if block 0 67 4 red_sand if block 0 68 4 red_sand if block 0 69 4 red_sand if block 0 70 4 red_sand run function connect4:redwin
execute if block 0 67 5 red_sand if block 0 68 5 red_sand if block 0 69 5 red_sand if block 0 70 5 red_sand run function connect4:redwin
execute if block 0 67 6 red_sand if block 0 68 6 red_sand if block 0 69 6 red_sand if block 0 70 6 red_sand run function connect4:redwin

execute if block 0 68 0 red_sand if block 0 69 0 red_sand if block 0 70 0 red_sand if block 0 71 0 red_sand run function connect4:redwin
execute if block 0 68 1 red_sand if block 0 69 1 red_sand if block 0 70 1 red_sand if block 0 71 1 red_sand run function connect4:redwin
execute if block 0 68 2 red_sand if block 0 69 2 red_sand if block 0 70 2 red_sand if block 0 71 2 red_sand run function connect4:redwin
execute if block 0 68 3 red_sand if block 0 69 3 red_sand if block 0 70 3 red_sand if block 0 71 3 red_sand run function connect4:redwin
execute if block 0 68 4 red_sand if block 0 69 4 red_sand if block 0 70 4 red_sand if block 0 71 4 red_sand run function connect4:redwin
execute if block 0 68 5 red_sand if block 0 69 5 red_sand if block 0 70 5 red_sand if block 0 71 5 red_sand run function connect4:redwin
execute if block 0 68 6 red_sand if block 0 69 6 red_sand if block 0 70 6 red_sand if block 0 71 6 red_sand run function connect4:redwin

execute if block 0 66 0 red_sand if block 0 67 1 red_sand if block 0 68 2 red_sand if block 0 69 3 red_sand run function connect4:redwin
execute if block 0 66 1 red_sand if block 0 67 2 red_sand if block 0 68 3 red_sand if block 0 69 4 red_sand run function connect4:redwin
execute if block 0 66 2 red_sand if block 0 67 3 red_sand if block 0 68 4 red_sand if block 0 69 5 red_sand run function connect4:redwin
execute if block 0 66 3 red_sand if block 0 67 4 red_sand if block 0 68 5 red_sand if block 0 69 6 red_sand run function connect4:redwin

execute if block 0 67 0 red_sand if block 0 68 1 red_sand if block 0 69 2 red_sand if block 0 70 3 red_sand run function connect4:redwin
execute if block 0 67 1 red_sand if block 0 68 2 red_sand if block 0 69 3 red_sand if block 0 70 4 red_sand run function connect4:redwin
execute if block 0 67 2 red_sand if block 0 68 3 red_sand if block 0 69 4 red_sand if block 0 70 5 red_sand run function connect4:redwin
execute if block 0 67 3 red_sand if block 0 68 4 red_sand if block 0 69 5 red_sand if block 0 70 6 red_sand run function connect4:redwin

execute if block 0 68 0 red_sand if block 0 69 1 red_sand if block 0 70 2 red_sand if block 0 71 3 red_sand run function connect4:redwin
execute if block 0 68 1 red_sand if block 0 69 2 red_sand if block 0 70 3 red_sand if block 0 71 4 red_sand run function connect4:redwin
execute if block 0 68 2 red_sand if block 0 69 3 red_sand if block 0 70 4 red_sand if block 0 71 5 red_sand run function connect4:redwin
execute if block 0 68 3 red_sand if block 0 69 4 red_sand if block 0 70 5 red_sand if block 0 71 6 red_sand run function connect4:redwin

execute if block 0 69 0 red_sand if block 0 68 1 red_sand if block 0 67 2 red_sand if block 0 66 3 red_sand run function connect4:redwin
execute if block 0 69 1 red_sand if block 0 68 2 red_sand if block 0 67 3 red_sand if block 0 66 4 red_sand run function connect4:redwin
execute if block 0 69 2 red_sand if block 0 68 3 red_sand if block 0 67 4 red_sand if block 0 66 5 red_sand run function connect4:redwin
execute if block 0 69 3 red_sand if block 0 68 4 red_sand if block 0 67 5 red_sand if block 0 66 6 red_sand run function connect4:redwin

execute if block 0 70 0 red_sand if block 0 69 1 red_sand if block 0 68 2 red_sand if block 0 67 3 red_sand run function connect4:redwin
execute if block 0 70 1 red_sand if block 0 69 2 red_sand if block 0 68 3 red_sand if block 0 67 4 red_sand run function connect4:redwin
execute if block 0 70 2 red_sand if block 0 69 3 red_sand if block 0 68 4 red_sand if block 0 67 5 red_sand run function connect4:redwin
execute if block 0 70 3 red_sand if block 0 69 4 red_sand if block 0 68 5 red_sand if block 0 67 6 red_sand run function connect4:redwin

execute if block 0 71 0 red_sand if block 0 70 1 red_sand if block 0 69 2 red_sand if block 0 68 3 red_sand run function connect4:redwin
execute if block 0 71 1 red_sand if block 0 70 2 red_sand if block 0 69 3 red_sand if block 0 68 4 red_sand run function connect4:redwin
execute if block 0 71 2 red_sand if block 0 70 3 red_sand if block 0 69 4 red_sand if block 0 68 5 red_sand run function connect4:redwin
execute if block 0 71 3 red_sand if block 0 70 4 red_sand if block 0 69 5 red_sand if block 0 68 6 red_sand run function connect4:redwin



execute if block 0 66 0 sand if block 0 66 1 sand if block 0 66 2 sand if block 0 66 3 sand run function connect4:bluewin
execute if block 0 66 1 sand if block 0 66 2 sand if block 0 66 3 sand if block 0 66 4 sand run function connect4:bluewin
execute if block 0 66 2 sand if block 0 66 3 sand if block 0 66 4 sand if block 0 66 5 sand run function connect4:bluewin
execute if block 0 66 3 sand if block 0 66 4 sand if block 0 66 5 sand if block 0 66 6 sand run function connect4:bluewin

execute if block 0 67 0 sand if block 0 67 1 sand if block 0 67 2 sand if block 0 67 3 sand run function connect4:bluewin
execute if block 0 67 1 sand if block 0 67 2 sand if block 0 67 3 sand if block 0 67 4 sand run function connect4:bluewin
execute if block 0 67 2 sand if block 0 67 3 sand if block 0 67 4 sand if block 0 67 5 sand run function connect4:bluewin
execute if block 0 67 3 sand if block 0 67 4 sand if block 0 67 5 sand if block 0 67 6 sand run function connect4:bluewin

execute if block 0 68 0 sand if block 0 68 1 sand if block 0 68 2 sand if block 0 68 3 sand run function connect4:bluewin
execute if block 0 68 1 sand if block 0 68 2 sand if block 0 68 3 sand if block 0 68 4 sand run function connect4:bluewin
execute if block 0 68 2 sand if block 0 68 3 sand if block 0 68 4 sand if block 0 68 5 sand run function connect4:bluewin
execute if block 0 68 3 sand if block 0 68 4 sand if block 0 68 5 sand if block 0 68 6 sand run function connect4:bluewin

execute if block 0 69 0 sand if block 0 69 1 sand if block 0 69 2 sand if block 0 69 3 sand run function connect4:bluewin
execute if block 0 69 1 sand if block 0 69 2 sand if block 0 69 3 sand if block 0 69 4 sand run function connect4:bluewin
execute if block 0 69 2 sand if block 0 69 3 sand if block 0 69 4 sand if block 0 69 5 sand run function connect4:bluewin
execute if block 0 69 3 sand if block 0 69 4 sand if block 0 69 5 sand if block 0 69 6 sand run function connect4:bluewin

execute if block 0 70 0 sand if block 0 70 1 sand if block 0 70 2 sand if block 0 70 3 sand run function connect4:bluewin
execute if block 0 70 1 sand if block 0 70 2 sand if block 0 70 3 sand if block 0 70 4 sand run function connect4:bluewin
execute if block 0 70 2 sand if block 0 70 3 sand if block 0 70 4 sand if block 0 70 5 sand run function connect4:bluewin
execute if block 0 70 3 sand if block 0 70 4 sand if block 0 70 5 sand if block 0 70 6 sand run function connect4:bluewin

execute if block 0 71 0 sand if block 0 71 1 sand if block 0 71 2 sand if block 0 71 3 sand run function connect4:bluewin
execute if block 0 71 1 sand if block 0 71 2 sand if block 0 71 3 sand if block 0 71 4 sand run function connect4:bluewin
execute if block 0 71 2 sand if block 0 71 3 sand if block 0 71 4 sand if block 0 71 5 sand run function connect4:bluewin
execute if block 0 71 3 sand if block 0 71 4 sand if block 0 71 5 sand if block 0 71 6 sand run function connect4:bluewin

execute if block 0 66 0 sand if block 0 67 0 sand if block 0 68 0 sand if block 0 69 0 sand run function connect4:bluewin
execute if block 0 66 1 sand if block 0 67 1 sand if block 0 68 1 sand if block 0 69 1 sand run function connect4:bluewin
execute if block 0 66 2 sand if block 0 67 2 sand if block 0 68 2 sand if block 0 69 2 sand run function connect4:bluewin
execute if block 0 66 3 sand if block 0 67 3 sand if block 0 68 3 sand if block 0 69 3 sand run function connect4:bluewin
execute if block 0 66 4 sand if block 0 67 4 sand if block 0 68 4 sand if block 0 69 4 sand run function connect4:bluewin
execute if block 0 66 5 sand if block 0 67 5 sand if block 0 68 5 sand if block 0 69 5 sand run function connect4:bluewin
execute if block 0 66 6 sand if block 0 67 6 sand if block 0 68 6 sand if block 0 69 6 sand run function connect4:bluewin

execute if block 0 67 0 sand if block 0 68 0 sand if block 0 69 0 sand if block 0 70 0 sand run function connect4:bluewin
execute if block 0 67 1 sand if block 0 68 1 sand if block 0 69 1 sand if block 0 70 1 sand run function connect4:bluewin
execute if block 0 67 2 sand if block 0 68 2 sand if block 0 69 2 sand if block 0 70 2 sand run function connect4:bluewin
execute if block 0 67 3 sand if block 0 68 3 sand if block 0 69 3 sand if block 0 70 3 sand run function connect4:bluewin
execute if block 0 67 4 sand if block 0 68 4 sand if block 0 69 4 sand if block 0 70 4 sand run function connect4:bluewin
execute if block 0 67 5 sand if block 0 68 5 sand if block 0 69 5 sand if block 0 70 5 sand run function connect4:bluewin
execute if block 0 67 6 sand if block 0 68 6 sand if block 0 69 6 sand if block 0 70 6 sand run function connect4:bluewin

execute if block 0 68 0 sand if block 0 69 0 sand if block 0 70 0 sand if block 0 71 0 sand run function connect4:bluewin
execute if block 0 68 1 sand if block 0 69 1 sand if block 0 70 1 sand if block 0 71 1 sand run function connect4:bluewin
execute if block 0 68 2 sand if block 0 69 2 sand if block 0 70 2 sand if block 0 71 2 sand run function connect4:bluewin
execute if block 0 68 3 sand if block 0 69 3 sand if block 0 70 3 sand if block 0 71 3 sand run function connect4:bluewin
execute if block 0 68 4 sand if block 0 69 4 sand if block 0 70 4 sand if block 0 71 4 sand run function connect4:bluewin
execute if block 0 68 5 sand if block 0 69 5 sand if block 0 70 5 sand if block 0 71 5 sand run function connect4:bluewin
execute if block 0 68 6 sand if block 0 69 6 sand if block 0 70 6 sand if block 0 71 6 sand run function connect4:bluewin

execute if block 0 66 0 sand if block 0 67 1 sand if block 0 68 2 sand if block 0 69 3 sand run function connect4:bluewin
execute if block 0 66 1 sand if block 0 67 2 sand if block 0 68 3 sand if block 0 69 4 sand run function connect4:bluewin
execute if block 0 66 2 sand if block 0 67 3 sand if block 0 68 4 sand if block 0 69 5 sand run function connect4:bluewin
execute if block 0 66 3 sand if block 0 67 4 sand if block 0 68 5 sand if block 0 69 6 sand run function connect4:bluewin

execute if block 0 67 0 sand if block 0 68 1 sand if block 0 69 2 sand if block 0 70 3 sand run function connect4:bluewin
execute if block 0 67 1 sand if block 0 68 2 sand if block 0 69 3 sand if block 0 70 4 sand run function connect4:bluewin
execute if block 0 67 2 sand if block 0 68 3 sand if block 0 69 4 sand if block 0 70 5 sand run function connect4:bluewin
execute if block 0 67 3 sand if block 0 68 4 sand if block 0 69 5 sand if block 0 70 6 sand run function connect4:bluewin

execute if block 0 68 0 sand if block 0 69 1 sand if block 0 70 2 sand if block 0 71 3 sand run function connect4:bluewin
execute if block 0 68 1 sand if block 0 69 2 sand if block 0 70 3 sand if block 0 71 4 sand run function connect4:bluewin
execute if block 0 68 2 sand if block 0 69 3 sand if block 0 70 4 sand if block 0 71 5 sand run function connect4:bluewin
execute if block 0 68 3 sand if block 0 69 4 sand if block 0 70 5 sand if block 0 71 6 sand run function connect4:bluewin

execute if block 0 69 0 sand if block 0 68 1 sand if block 0 67 2 sand if block 0 66 3 sand run function connect4:bluewin
execute if block 0 69 1 sand if block 0 68 2 sand if block 0 67 3 sand if block 0 66 4 sand run function connect4:bluewin
execute if block 0 69 2 sand if block 0 68 3 sand if block 0 67 4 sand if block 0 66 5 sand run function connect4:bluewin
execute if block 0 69 3 sand if block 0 68 4 sand if block 0 67 5 sand if block 0 66 6 sand run function connect4:bluewin

execute if block 0 70 0 sand if block 0 69 1 sand if block 0 68 2 sand if block 0 67 3 sand run function connect4:bluewin
execute if block 0 70 1 sand if block 0 69 2 sand if block 0 68 3 sand if block 0 67 4 sand run function connect4:bluewin
execute if block 0 70 2 sand if block 0 69 3 sand if block 0 68 4 sand if block 0 67 5 sand run function connect4:bluewin
execute if block 0 70 3 sand if block 0 69 4 sand if block 0 68 5 sand if block 0 67 6 sand run function connect4:bluewin

execute if block 0 71 0 sand if block 0 70 1 sand if block 0 69 2 sand if block 0 68 3 sand run function connect4:bluewin
execute if block 0 71 1 sand if block 0 70 2 sand if block 0 69 3 sand if block 0 68 4 sand run function connect4:bluewin
execute if block 0 71 2 sand if block 0 70 3 sand if block 0 69 4 sand if block 0 68 5 sand run function connect4:bluewin
execute if block 0 71 3 sand if block 0 70 4 sand if block 0 69 5 sand if block 0 68 6 sand run function connect4:bluewin



# Tutorial #
execute if score tutorial count matches 259 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 259 run tellraw @a {"text":"Tutorial has begun.\nPlease pay attention to the gameboard.","color":"dark_red"}
execute if score tutorial count matches 259 run fill -1 65 0 -1 65 6 air
execute at @a if score tutorial count matches 259 run tp @a ~ ~ ~ -90 0
execute if score tutorial count matches 259 run spreadplayers -14.00 3.97 2 2 false @a
execute if score tutorial count matches 0 run scoreboard players set tutorial count 200
execute if score tutorial count > zero count run scoreboard players remove tutorial count 1
execute if score tutorial count matches 199 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 199 run fill -1 65 0 -1 65 6 minecraft:stone_button[facing=west]
execute if score tutorial count matches 259 run setblock -10 67 3 air
execute if score tutorial count matches 259 run setblock -20 67 -1 air
execute if score tutorial count matches 1 run scoreboard players add tutorialpage count 1

# Page 1 #
execute if score tutorialpage count matches 1 if score tutorial count matches 199 run tellraw @a ["",{"text":"Tutorial (1/3):","color":"dark_red"},{"text":" On your turn, click a button to drop a block of your color into the relative column."}]
execute if score tutorial count matches 199 if score tutorialpage count matches 1 run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 10 1.3
execute if score tutorial count matches 199 if score tutorialpage count matches 1 run summon minecraft:falling_block 0.51 72.49 3 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 149 if score tutorialpage count matches 1 run playsound entity.llama.spit master @a 0 72 3 
execute if score tutorial count matches 149 if score tutorialpage count matches 1 run summon minecraft:falling_block 0.51 72.49 2 {BlockState:{Name:"minecraft:sand"},Time:1}
execute if score tutorial count matches 99 if score tutorialpage count matches 1 run playsound entity.llama.spit master @a 0 72 2 
execute if score tutorial count matches 99 if score tutorialpage count matches 1 run summon minecraft:falling_block 0.51 72.49 2 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 99 if score tutorialpage count matches 1 run playsound entity.llama.spit master @a 0 72 2 
execute if score tutorial count matches 49 if score tutorialpage count matches 1 run summon minecraft:falling_block 0.51 72.49 5 {BlockState:{Name:"minecraft:sand"},Time:1}
execute if score tutorial count matches 49 if score tutorialpage count matches 1 run playsound entity.llama.spit master @a 0 72 5

# Page 2 #
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run tellraw @a ["",{"text":"Tutorial (2/3):","color":"dark_red"},{"text":" Get four of your color in a line to win! Four in a line can be achieved vertically, horizontally or diagonally."}]
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 10 1.3
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run fill 0 66 3 0 68 3 minecraft:gravel
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run summon minecraft:falling_block 0.51 72.49 3 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 199 if score tutorialpage count matches 2 run playsound entity.llama.spit master @a 0 72 3 


execute if score tutorial count matches 132 if score tutorialpage count matches 2 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 132 if score tutorialpage count matches 2 run summon minecraft:falling_block 0.51 72.49 4 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 132 if score tutorialpage count matches 2 run fill 0 66 1 0 66 3 minecraft:gravel
execute if score tutorial count matches 132 if score tutorialpage count matches 2 run playsound entity.llama.spit master @a 0 72 4 

execute if score tutorial count matches 66 if score tutorialpage count matches 2 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 66 if score tutorialpage count matches 2 run summon minecraft:falling_block 0.51 72.49 4 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 66 if score tutorialpage count matches 2 run clone -2 57 1 -2 59 5 0 66 1
execute if score tutorial count matches 66 if score tutorialpage count matches 2 run playsound entity.llama.spit master @a 0 72 4 

# Page 3 #
execute if score tutorial count matches 199 if score tutorialpage count matches 3 run tellraw @a ["",{"text":"Tutorial (3/3):","color":"dark_red"},{"text":" Stop your opponent from getting four of their color in a line."}]
execute if score tutorial count matches 199 if score tutorialpage count matches 3 run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 10 1.3
execute if score tutorial count matches 199 if score tutorialpage count matches 3 run fill 0 66 3 0 68 3 minecraft:sand
execute if score tutorial count matches 199 if score tutorialpage count matches 3 run summon minecraft:falling_block 0.51 72.49 3 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 199 if score tutorialpage count matches 3 run playsound entity.llama.spit master @a 0 72 3 
execute if score tutorial count matches 99 if score tutorialpage count matches 3 run fill 0 71 0 0 66 6 air
execute if score tutorial count matches 99 if score tutorialpage count matches 3 run fill 0 66 0 0 66 2 sand
execute if score tutorial count matches 99 if score tutorialpage count matches 3 run summon minecraft:falling_block 0.51 72.49 3 {BlockState:{Name:"minecraft:red_sand"},Time:1}
execute if score tutorial count matches 99 if score tutorialpage count matches 3 run playsound entity.llama.spit master @a 0 72 3 

# End Tutorial #
execute if score tutorialpage count matches 4 run fill 0 71 0 0 66 6 air
execute if score tutorialpage count matches 4 run setblock -20 67 -1 minecraft:wall_sign[facing=south]
execute if score tutorialpage count matches 4 run data merge block -20 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set tutorial count 260\"}}",Text2:"{\"text\":\"Tutorial\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set tutorialpage count 1\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Click here]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute at @a as @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 10 1\"},\"color\":\"dark_green\"}"}
execute if score tutorialpage count matches 4 run setblock -10 67 3 minecraft:wall_sign[facing=west]
execute if score tutorialpage count matches 4 run data merge block -10 67 3 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if score team count matches 2 run function connect4:start\"}}",Text2:"{\"text\":\"Start Game\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if score team count < teammax count run tellraw @s {\\\"text\\\":\\\"Unable to start game.\\\\nYou must have 2 players to play.\\\",\\\"color\\\":\\\"dark_red\\\"}\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Click Here]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute at @s if score team count < teammax count run playsound minecraft:block.tripwire.click_off master @s\"},\"color\":\"dark_green\"}"}
execute if score tutorialpage count matches 4 run tellraw @a {"text":"Tutorial complete.\nJoin a team and click Start Game to start a game.","color":"dark_red"}
execute if score tutorialpage count matches 4 run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 10 2
execute if score tutorialpage count matches 4 run fill -1 65 0 -1 65 6 air
execute as @a at @s if score tutorialpage count matches 4 run tp @a ~ ~ ~ -90 0
execute as @a at @s if score tutorialpage count matches 4 run spreadplayers -23.00 3.33 3 3 false @a
execute if score tutorialpage count matches 4 run scoreboard players set tutorial count -1
execute if score tutorialpage count matches 4 run scoreboard players set tutorialpage count 0

#---#

execute if score livegame count matches 1 if score winwait count matches -1 unless block 0 71 0 air unless block 0 71 1 air unless block 0 71 2 air unless block 0 71 3 air unless block 0 71 4 air unless block 0 71 5 air unless block 0 71 6 air run function connect4:draw