tellraw @a {"text":"The game has ended.","color":"red"}
fill 0 71 0 0 66 6 minecraft:gold_block replace sand
fill 0 71 0 0 66 6 minecraft:redstone_block replace red_sand
scoreboard players set winwait count -1
scoreboard players set timeleft count 0
scoreboard players set redwait count -1
scoreboard players set bluewait count -1
kill @e[type=minecraft:falling_block]
fill -22 65 11 -24 65 9 minecraft:red_concrete
fill -24 65 -3 -22 65 -5 minecraft:yellow_concrete
fill -31 65 4 -29 65 2 minecraft:light_gray_concrete 
fill -1 65 0 -1 65 6 air
execute as @a at @s run tp @a ~ ~ ~ -90 0
execute as @a at @s run spreadplayers -22 3 1 1 false @a
execute as @a at @s run playsound minecraft:entity.enderman.teleport master @a
execute as @a at @s run playsound entity.bat.takeoff master @a
clear @a
gamemode adventure @a
replaceitem entity @a armor.head air
execute unless entity @a[team=Red] if score livegame count matches 1 run tellraw @a ["",{"text":"Red","color":"red"},{"text":" disconnected.\n"},{"selector":"@a[team=Blue]","color":"dark_red"},{"text":" has won as a result."}]
execute unless entity @a[team=Red] if score livegame count matches 1 run scoreboard players add @a[team=Blue] wins 1
execute unless entity @a[team=Blue] if score livegame count matches 1 run tellraw @a ["",{"text":"Yellow","color":"yellow"},{"text":" disconnected.\n"},{"selector":"@a[team=Red]","color":"dark_red"},{"text":" has won as a result."}]
execute unless entity @a[team=Blue] if score livegame count matches 1 run scoreboard players add @a[team=Red] wins 1
scoreboard players set team count 0
scoreboard players set livegame count 0
team join Spectator @a
setblock -10 67 3 minecraft:wall_sign[facing=west]
data merge block -10 67 3 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if score team count matches 2 run function connect4:start\"}}",Text2:"{\"text\":\"Start Game\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if score team count < teammax count run tellraw @s {\\\"text\\\":\\\"Unable to start game.\\\\nYou must have 2 players to play.\\\",\\\"color\\\":\\\"dark_red\\\"}\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Click Here]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute at @s if score team count < teammax count run playsound minecraft:block.tripwire.click_off master @s\"},\"color\":\"dark_green\"}"}
setblock -20 67 -1 minecraft:wall_sign[facing=south]
data merge block -20 67 -1 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set tutorial count 260\"}}",Text2:"{\"text\":\"Tutorial\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set tutorialpage count 1\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Click here]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute at @a as @s run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 10 1\"},\"color\":\"green\"}"}
setblock -8 65 3 minecraft:wall_sign[facing=east]
data merge block -8 65 3 {Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players set abort count 1\"}}",Text2:"{\"text\":\"Abort Game\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if entity @s[team=Red] run function connect4:bluewin\"},\"bold\":true,\"color\":\"dark_red\"}",Text3:"{\"text\":\"[Click Here]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute if entity @s[team=Blue] run function connect4:redwin\"},\"color\":\"red\"}"}
execute at @e[type=minecraft:armor_stand,tag=spectator] as @e[type=minecraft:armor_stand,tag=spectator] run data merge entity @s {CustomNameVisible:1b}

# tellraw @a {"text":"The game has ended.\nPlease join a team and press Start Game to start a new one.","color":"dark_red"}


# Spawn 'Map Info' sign
# /give @p minecraft:sign{BlockEntityTag:{Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @s [\\\"\\\",{\\\"text\\\":\\\"          Four in a Line\\\",\\\"bold\\\":true,\\\"color\\\":\\\"dark_aqua\\\"},{\\\"text\\\":\\\"\\\\nMade by \\\",\\\"color\\\":\\\"dark_aqua\\\"},{\\\"text\\\":\\\"Kooleyy\\\"},{\\\"text\\\":\\\" | Built by \\\",\\\"color\\\":\\\"dark_aqua\\\"},{\\\"text\\\":\\\"scotttty\\\\n\\\"},{\\\"text\\\":\\\"    \\\",\\\"color\\\":\\\"aqua\\\"},{\\\"text\\\":\\\"[Twitter] \\\",\\\"color\\\":\\\"aqua\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://www.twitter.com/Kooleyy__\\\"}},{\\\"text\\\":\\\"            \\\"},{\\\"text\\\":\\\"[Twitter]\\\",\\\"color\\\":\\\"aqua\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://twitter.com/plastereddd\\\"}},{\\\"text\\\":\\\"\\\\n   \\\"},{\\\"text\\\":\\\"[YouTube]\\\",\\\"color\\\":\\\"red\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://www.youtube.com/Kooleyy\\\"}},{\\\"text\\\":\\\" \\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://www.youtube.com/Kooleyy\\\"}},{\\\"text\\\":\\\"         \\\"},{\\\"text\\\":\\\"[Instagram]\\\",\\\"color\\\":\\\"gold\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://www.instagram.com/pl.astered/\\\"}},{\\\"text\\\":\\\"\\\\n\\\"},{\\\"text\\\":\\\"    \\\",\\\"color\\\":\\\"dark_purple\\\"},{\\\"text\\\":\\\"[Twitch]\\\",\\\"color\\\":\\\"dark_purple\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://www.twitch.tv/KooleyyLive\\\"}}]\"}}",Text2:"{\"text\":\"Map Info\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 1.3\"},\"bold\":true,\"color\":\"dark_aqua\"}",Text3:"{\"text\":\"[Click Here]\",\"color\":\"dark_green\"}"},display:{Name:"{\"text\":\"Custom Sign\"}"}}

# Abort Game sign #
# /give @p minecraft:sign{BlockEntityTag:{Text1:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function connect4:reset\"}}",Text2:"{\"text\":\"[Abort Game]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @a [\\\"\\\",{\\\"selector\\\":\\\"@s\\\"},{\\\"text\\\":\\\" \\\"},{\\\"text\\\":\\\"has aborted the game.\\\",\\\"color\\\":\\\"dark_red\\\"}]\"},\"color\":\"dark_red\"}"},display:{Name:"{\"text\":\"Custom Sign\"}"}}